Native Access 3.4 disables all versions of Traktor Pro 3 prior to 3.9.

Options
Nativo
Nativo Member Posts: 8 Newcomer

If you have Mac M1 or M2 processors (I have OSX 12.6.3 Monterey) don't open Native Access, it updates to the latest version 3.4 and disables your versions of Traktor Pro 3 prior to 3.9. It happened to me and I had to update to this latest version (3.9).

Users want to continue to have access to use our previous versions of Traktor.

Does anyone know if they will fix this?

Tagged:

Best Answer

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 10,371 mod
    Answer ✓
    Options

    @Nativo I see that you were in contact with our support and that you manged to fix the issue.

Answers

Back To Top